Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks
Class SourceTask

    java.lang.Object
      org.gradle.api.internal.ConventionTask
          org.gradle.api.tasks.SourceTask

All Implemented Interfaces:
  PatternFilterable

    class SourceTask
    extends ConventionTask

A `SourceTask` performs some operation on source files.

Constructor Summary
`SourceTask()`

Method Summary
`SourceTask` | `exclude(java.lang.String excludes)` {
`SourceTask` | `exclude(java.lang.Iterable excludes)` {
`protected FileTree` | `getDefaultSource()` Returns the default source for this task, if any.
`Set` | `getExcludes()` {
`Set` | `getIncludes()` {
`FileTree` | `getSource()` Returns the source for this task, after the include and exclude patterns have been applied.
`SourceTask` | `include(java.lang.String includes)` {
`SourceTask` | `include(java.lang.Iterable includes)` {
`SourceTask` | `setExcludes(java.lang.Iterable excludes)` {
`SourceTask` | `setIncludes(java.lang.Iterable includes)` {
`void` | `setSource(java.lang.Object source)` Sets the source for this task.
`SourceTask` | `source(java.lang.Object sources)` Adds some source to this task.

Constructor Detail

### SourceTask

    SourceTask()

Method Detail

### exclude

    public SourceTask exclude(java.lang.String excludes)

  {@inheritDoc}

### exclude

    public SourceTask exclude(java.lang.Iterable excludes)

  {@inheritDoc}

### getDefaultSource

    protected FileTree getDefaultSource()

  Returns the default source for this task, if any.
  return:
    The source. May return null.

### getExcludes

    public Set getExcludes()

  {@inheritDoc}

### getIncludes

    public Set getIncludes()

  {@inheritDoc}

### getSource

    @InputFiles
    @SkipWhenEmpty
    public FileTree getSource()

  Returns the source for this task, after the include and exclude patterns have been applied.
  return:
    The source.

### include

    public SourceTask include(java.lang.String includes)

  {@inheritDoc}

### include

    public SourceTask include(java.lang.Iterable includes)

  {@inheritDoc}

### setExcludes

    public SourceTask setExcludes(java.lang.Iterable excludes)

  {@inheritDoc}

### setIncludes

    public SourceTask setIncludes(java.lang.Iterable includes)

  {@inheritDoc}

### setSource

    public void setSource(java.lang.Object source)

  Sets the source for this task. The given source object is evaluated as for org.gradle.api.Project#files(Object...).
  param:
    source The source.

### source

    public SourceTask source(java.lang.Object sources)

  Adds some source to this task. The given source objects will be evaluated as for org.gradle.api.Project#files(Object...).
  param:
    sources The source to add
  return:
    this

Groovy Documentation